;------------------------------------------------------
; SOLAR assembler
; Copyright (c) 2004-2008, Bogdan Valentin Ontanu.
; All rights reserved.
;------------------------------------------------------

;------------------------------------------------------------------
; A simple Hello World Win32 console application
;------------------------------------------------------------------

import_dll 	kernel32.dll
	import_func	ExitProcess
	import_func	GetStdHandle
	import_func	WriteFile

;--------------
; sections
;--------------
section "code"	 	class_code
section "data"		class_data
section "idata"		class_imports


STD_INPUT_HANDLE	EQU	-10
STD_OUTPUT_HANDLE	EQU	-11



.data

	out_handle	dd	0
	bytes_wr	dd	0

	msg_txt		db	13,10," Hello World...",13,10,0
	msg_len		equ	$-msg_txt

.code
.entry Start

Start:
	invoke	GetStdHandle,STD_OUTPUT_HANDLE
	mov	[out_handle],eax

	invoke	WriteFile,[out_handle],msg_txt,msg_len,bytes_wr,0

	invoke	ExitProcess,0
	ret


